List members of a target
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/members
Lists the targets that are members of the specified target (for example, members of a group).
Request
Path Parameters
-
targetId(required): string
the target id
Query Parameters
-
containerSnapshotId: string
Container snapshot identifier (optional).
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : TargetMemberCollection
Type:
objectPaged list of member targets.
Show Source
-
count(required): integer
Number of items returned in this response.
-
items(required): array
items
Member summaries.
-
links(required): object
links
Result set navigation links.
-
total: integer
Total number of members available.
Nested Schema : items
Type:
arrayMember summaries.
Show Source
-
Array of:
object MemberSummary
Summary information about a member target.
Nested Schema : MemberSummary
Type:
objectSummary information about a member target.
Show Source
-
links: object
links
Result set navigation links.
-
targetId: string
Target identifier.Example:
TargetId -
targetName: string
Target name.Example:
TargetName -
targetType: string
Target type.Example:
TargetType
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description